Subject: CONTRACT _____
From: "info.fin" <[email-masked]>
To: "info" <[email-masked]>
Cc: "info" <[email-masked]>
Date: Sun, 29 Oct 2023 22:13:23 +0800

The name of Allah
Dear Du Guangzh
 I am sending you a signed contract, with the hope of supplying Iran's crude oil and petroleum products on a permanent basis.
 My company and I are ready to pay for this volume of crude oil, only on the condition that you send me contracts for condensate and super light oil,
 our company is ready to pay for all contracts that will be sent by you at the same time. I hope for a long-term fraternally coordinated, mutually beneficial solution to the issues.
I hope for your help solving this easy question.
With respect and patience of the highest right decision!
FININVEST GAS&OIL LIMITED
BEISENBAY DAULETZHAN